/*
 * TicketAgentServer.java
 *
 * Created on February 27, 2002, 10:20 AM
 */

package unleashed.ch2;

/**
 *
 * @author  Stephen Potts
 * @version
 */
import java.rmi.Naming;

public class TicketAgentServer
{
    
    public TicketAgentServer()
    {
        try
        {
            TicketAgent ta = new TicketAgentImpl();
            Naming.rebind("rmi://localhost:1099/TicketAgentService", ta);
        } catch (Exception e)
        {
            System.out.println("Exception: " + e);
        }
    }
    
    public static void main(String args[])
    {
        new TicketAgentServer();
    }
}