<%@ page language = "java" %>
<%@ page import="unleashed.ch4.cruise.*" %>

<html>
<head>
<title>Cruise Listing Application for Chapter 4 of Java Unleashed</title>
</head>
<body>
<jsp:include page="Banner.jsp" flush="true" />
<form action="/ch4cruise/CruiseList" method="POST">

<input type="hidden" name="command" value="book">

<table border="0" width="90%" align="center">
<tr>
    <th bgcolor="#BBBBBB">Customers</th>
    <th bgcolor="#BBBBBB">Cruises</th>
</tr>

<tr>
<% 
    CustomerListBean customerlist = (CustomerListBean) 
        session.getValue("custList");
    Enumeration enum = customerlist.getCustomerList();
    CustomerBean aCustomer = null;
%>
    <td><select name="custid" size="10">
<% 
    while(enum.hasMoreElements())
    {
        aCustomer = (CustomerBean) enum.nextElement();
%>
<option value="<%= aCustomer.getCustomerID() %>">
<%= aCustomer.getFirstName()+" "+aCustomer.getLastName() %>
</option>

				
<%  }%>

    </select>
    </td>

<% 
    CruiseListBean cruiselist = (CruiseListBean) 
        session.getValue("cruiseList");
    enum = cruiselist.getCruiseList();
    CruiseBean aCruise = null;
%>

    <td><select name="cruiseid" size="10">

<% 
    while(enum.hasMoreElements())
    {
        aCruise = (CruiseBean) enum.nextElement();
%>
<option value="<%= aCruise.getCruiseID() %>">
<%= aCruise.getDestination()+"... Departs:"+aCruise.getPort()+
    " "+aCruise.getSailing() %>
</option>

				
<%	}%>
    </select>
    </td>
</tr>
<tr>
    <td colspan="2">
    <br>
    Number of Tickets to book: 
    <input type="text" name="numbertickets" value="">
    </td>
</tr>

</table>
<br>
<br>
<center>
<input type="submit" value="Book">
</center>
</form>
</body>
</html>
