<!-- Using the "import" feature -->

<%@ page import="
    unleashed.ch5.cruise.*,
    javax.naming.*,
    javax.ejb.*,
    javax.rmi.*,
    java.util.*

   
  "%>

<!-- Here, we declare a class method -->

<%!
  String pagetitle = "JSP example using";
  String url       = "t3://localhost:7001";
 

  // Declaring a Java class
  public Context getInitialContext() throws Exception {
    Properties p = new Properties();
    p.put(Context.INITIAL_CONTEXT_FACTORY,
          "weblogic.jndi.WLInitialContextFactory");
    p.put(Context.PROVIDER_URL, url);
    return new InitialContext(p);
  }
%>

<h4><a href="/cruise/tickets.jsp">See available tickets</a></h4>
<br>
<h1>Your Bookings</h1> 
<%
try
{
Context ctx = getInitialContext();
Object obj = ctx.lookup("Booking");

BookingHome home = 
(BookingHome)PortableRemoteObject.narrow(obj, BookingHome.class);
			
//
Collection bs = home.findAllBookings();

for(Iterator it = bs.iterator(); it.hasNext();)
{
	Booking b = (Booking)it.next();
	out.println("You have booked 1 ticket to " + b.getCruiseName() );
	out.println("<BR>");
}


}catch(Exception e){ System.out.println(e.getMessage());}			

%>