<!-- Using the "import" feature -->

<%@ page import="
    unleashed.ch5.cruise.*,
    javax.naming.*,
    javax.ejb.*,
    javax.rmi.*,
    java.util.*

   
  "%>

<!-- Here, we declare a class method -->

<%!
  String pagetitle = "JSP example using";
  String url       = "t3://localhost:7001";
 

  // Declaring a Java class
  public Context getInitialContext() throws Exception {
    Properties p = new Properties();
    p.put(Context.INITIAL_CONTEXT_FACTORY,
          "weblogic.jndi.WLInitialContextFactory");
    p.put(Context.PROVIDER_URL, url);
    return new InitialContext(p);
  }
%>
<h4><a href="/cruise/bookings.jsp">See your bookings</a> </h4>
<br>
<br>
Click on the name of a cruise to book your ticket.

<%
try
{
Context ctx = getInitialContext();
Object obj = ctx.lookup("TicketingAgent");

TicketingAgentHome home = 
(TicketingAgentHome)PortableRemoteObject.narrow(obj, TicketingAgentHome.class);
			
//create the bean
Object ejbObj = home.create();

//cast the bean to our interface
TicketingAgent ta = 
(TicketingAgent)PortableRemoteObject.narrow(ejbObj, TicketingAgent.class);
Ticket[] tickets = ta.getAvailableTickets();
out.println("<h1>Available Cruises</h1>");
out.println("<BR>");
for(int i = 0; i < tickets.length; i++)
{
out.println("<h4>" + tickets[i].getNumberDays() + "-day cruise to ");
out.println("<a href='/cruise/book?cruiseName=" + tickets[i].getCruiseName() + "'>" +  tickets[i].getCruiseName() + "</a>") ;

out.println(". Departing from " + tickets[i].getPortDeparture() + "</h4>");
out.println("<BR>");

}

}catch(Exception e){ System.out.println(e.getMessage());}			

%>