/*
 * JSMLSpeaker.java
 *
 * Created on March 5, 2002, 3:32 PM
 */

package unleashed.ch12;

/**
 *
 * @author  Stephen Potts
 * @version
 */
import javax.speech.*;
import javax.speech.synthesis.*;
import java.util.Locale;

public class JSMLSpeaker3
{
        
    public static void main(String args[])
    {
        Speakable sAble = new SpeakableShares();
        try
        {
            // Create a synthesizer for English
            Synthesizer synth = Central.createSynthesizer(
                    new SynthesizerModeDesc(Locale.ENGLISH));
            synth.allocate();
            synth.resume();
            
            // Speak the string
            synth.speak(sAble, null);
            System.out.println("You are hearing the JSML output now.");
            
            // Wait till speaking is done
            synth.waitEngineState(Synthesizer.QUEUE_EMPTY);
            
            // release the resources
            synth.deallocate();
        } catch (Exception e)
        {
            e.printStackTrace();
        }
    }
}