package unleashed.ch22;
/**
 *
 * @author  Stephen Potts
 * @version 
 */

public class Thermometer3
{
    private int temperature = 10000;
    /** Creates new Thermometer */
    public Thermometer3() throws ThermometerException3
    {
        System.out.println("Thermometer constructed");
        if ((temperature > 300) || (temperature < 32))
        {
            Exception e = null;
            throw new ThermometerException3(
                     "Thermometer is malfunctioning", temperature, e);
        }
    }

    public void simIncreaseTemp()
    {
        this.temperature += 1;
    }
    
    public void simDecreaseTemp()
    {
        this.temperature -= 1;
    }
    
    public int getTemperature()
    {
        return this.temperature;
    }
    
    public static void main(String[] args)
    {
        try
        {
            Thermometer3 t1 = new Thermometer3();
            System.out.println(
                 "The temperature is " + t1.getTemperature());
        }catch(ThermometerException3 te)
        {
            System.out.println("Stack Buffer------------------- " );
            te.printStackTrace();
            //System.out.println( te.getStackBuffer());
            System.out.println("End of Stack Buffer------------ " );
            
          }
    }//main
}
