//Listing 22.8 The ThermometerException Class
package unleashed.ch22;

/**
 *
 * @author  Stephen Potts
 * the ThermometerException class is thrown when 
 * a temperature is so far out of range
 * that it indicates a malfunction in the equipment
 */
public class ThermometerException extends Exception 
{
    private int temperature;
    /** Creates new ThermometerException */
    public ThermometerException(){ 
    }

    public ThermometerException(String message, int temperature)
    {
        super(message);
        this.temperature = temperature;
    }
    
    public int getTemperature()
    {
        return this.temperature;
    }
}
