/*
 * TranslatedExceptionDemo2.java
 *
 * Created on April 16, 2002, 9:53 AM
 */

package unleashed.ch22;

/**
 *
 * @author  Stephen Potts
 * @version
 */
public class TranslatedExceptionDemo2
{
    public static void main(String[] args)
    {
        try
        {
            Library.methodA();
        }
        catch (Library.ExternalException e)
        {
            System.out.println(e.getMessage());
            e.printStackTrace(System.out);
        }
    }
}
class Library
{
    static void methodA() throws ExternalException
    {
        try
        {
            methodB();
        }catch (InternalException e)
        {
            System.out.println(e.getMessage());
            
            ExternalException ee = new ExternalException();
            ee.initCause(e);
            throw ee;
        }
    }
    
    static class ExternalException extends Exception
    {
        ExternalException()
        {
            super("External Exception");
        }
    }
    
    private static void methodB() throws InternalException
    {
        throw new InternalException();//line 56
    }
    
    private static class InternalException extends Exception
    {
        InternalException()
        {
            super("Internal Exception");
        }
    }
}
