//Listing 22.10 The WaterTemperatureManagerException is more meaningful than an //InteruptedExcption or a ThermometerException to the using class
package unleashed.ch22;

/**
 *
 * @author  Stephen Potts
 * This Exception gives information about 
 * problems that occur in the WaterTemperatureManager class
 */
public class WaterTemperatureManagerException extends Exception
{
    int temperature;

    /** Creates new WaterTemperatureManagerException */
    public WaterTemperatureManagerException(String message,
                      int temperature)
    {
        super(message);
        this.temperature = temperature;
    }

    public int getTemperature()
    {
        return this.temperature;
    }   
}
