package unleashed.ch24;

/**
* This example shows how to interrupt a sleeping thread.
*/
public class ThreadInterrupter
{
	public static void main(String[] args)
	{
		System.out.println("Creating SleepingThread");
		Thread thread1 = new SleepingThread();
		
		System.out.println("Starting SleepingThread");
		thread1.start();
		
		System.out.println("Putting interrupter to sleep for 30 sec.");
		
		try
		{
			Thread.currentThread().sleep(30000);
		}catch(InterruptedException e)
		{
			System.out.println("ThreadInterrupter interrupted!");
		}
		
		System.out.println("Interrupting SleepingThread");
		thread1.interrupt();
	}
}
