//Listing 26.8
package unleashed.ch26;
import java.util.Vector;
import java.util.Iterator;
import java.util.Set;
import java.io.Serializable;

/**
 *
 * @author  Stephen Potts
 * this version has the serversionUID set manually
 */
public class Company2 implements Serializable
{
    private String name;
    private transient Employee president;
    private Vector departments;
 
    private static final long serialVersionUID = 5447802251683735450L;
    
    /** Creates new Company */
    public Company2(String name)
    {
        this.name = name;
        departments = new Vector();
    }
    
    public String getName()
    {
        return this.name;
    }
    
    public void addDepartment(Department dept)
    {
        departments.addElement(dept);
    }
    
    public Employee getPresident()
    {
        return this.president;
    }
    
    public void addPresident(Employee e)
    {
        this.president = e;
    }
    
    public Iterator getDepartmentIterator()
    {
        return departments.iterator();
    }
}
