
//Listing 26.12 An Externalizable class is unmarshaled in the same way as a Serialized class.
package unleashed.ch26;
import java.io.ObjectInputStream;
import java.io.FileInputStream;
import java.io.IOException;

/**
 *
 * @author  Stephen Potts
 * Test the restoration of serialized objects
 */
public class RestoreEmployee2 {

    /** Creates new RestoreEmployee */
    public RestoreEmployee2() {
    }
    
    public static void main(String[] args)
    {
        try
        {
            String filename = "Employee2.out";
        
            Employee2 emp = null;
            FileInputStream f  = new FileInputStream(filename);
            ObjectInputStream ois = new ObjectInputStream(f);
            emp = (Employee2)ois.readObject();
            System.out.println("The name is " + emp.getName());
            System.out.println("The salary is $" + emp.getSalary());
            ois.close();
        }catch (IOException ioe)
        {
            System.out.println("IOException thrown " + ioe);
        }
        catch (ClassNotFoundException cnfe)
        {
            System.out.println("ClassNotFoundException thrown " + cnfe);
        }
    }
}
