package unleashed.ch26;
import java.io.*;

/**
 *
 * @author  Stephen Potts
 * Test the restoration of Unencrypted objects
 */
public class RestoreUnencryptedEmployee {

    /** Creates new RestoreEmployee */
    public RestoreUnencryptedEmployee() {
    }
    
    public static void main(String[] args)
    {
        try
        {
            String filename = "c:/unleashed/ch26/UnencryptedEmployee.out";
        
            UnencryptedEmployee emp = null;
            FileInputStream f  = new FileInputStream(filename);
            ObjectInputStream ois = new ObjectInputStream(f);
            emp = (UnencryptedEmployee)ois.readObject();
            System.out.println("The name is " + emp.getName());
            System.out.println("The creditCard Number  is " +
                                        emp.getCreditCardNumber());
            ois.close();
        }catch (IOException ioe)
        {
            System.out.println("IOException thrown " + ioe);
        }
        catch (ClassNotFoundException cnfe)
        {
            System.out.println("ClassNotFoundException thrown " + cnfe);
        }
    }
}
