

//Listing 26.11 An Externalizable class is marshaled in the same way as a Serialized class.
package unleashed.ch26;
import java.io.*;

/**
 *
 * @author  Stephen Potts
 * @version 
 */
public class WriteReadUnencryptedtEmployee {

    /** Creates new TestSerEmployee */
    public WriteReadUnencryptedtEmployee() {
    }
    
    public static void main(String[] args)
    {
        try
        {
            String filename = "c:/unleashed/ch26/UnencryptedEmployee.out";
        
            UnencryptedEmployee emp = 
                      new UnencryptedEmployee("Jacob Snakob",
                                             "1234-5678-0123");
            FileOutputStream f  = new FileOutputStream(filename);
            ObjectOutputStream oos = new ObjectOutputStream(f);
            oos.writeObject(emp);
            System.out.println(
                           "Finished writing UnencryptedEmployee.out");
            oos.close();
            
            UnencryptedEmployee emp2 = null;
            FileInputStream f2  = new FileInputStream(filename);
            ObjectInputStream ois = new ObjectInputStream(f2);
            emp2 = (UnencryptedEmployee)ois.readObject();
            System.out.println("The name is " + emp.getName());
            System.out.println("The creditCard Number  is " +
                                        emp.getCreditCardNumber());
            ois.close();

            
        }catch (IOException ioe)
        {
            System.out.println("IOException thrown " + ioe);
        }
        catch (ClassNotFoundException cnfe)
        {
            System.out.println("ClassNotFoundException thrown " + cnfe);
        }
    }
}
