//Listing 27.5 The BillPayer class
/*
 * BillPayer.java
 *
 * Created on December 3, 2001, 5:05 PM
 */

package unleashed.ch27;

/**
 *
 * @author  Stephen Potts
 * @version 
 */
public class BillPayer {

    /** Creates new BillPayer */
    public BillPayer() {
    }

    public static void main(String[] args)
    {
        double costPerHour = 75.0;
        int hoursWorked = 40;
        String vendorName = "ABC Consulting";
        Vendor v1 = new Vendor(vendorName, costPerHour);
        Contractor c1 = new Contractor( v1, "Mike",  "Kopack", hoursWorked );
        
        //Brute force - do the work int the main()
        double amountOfCheck = costPerHour * hoursWorked;
        System.out.println("Brute force -  Pay to the order of " + vendorName +" "+ amountOfCheck);
        
        //Simple Instantiation    
        double amountToPay = v1.getHourlyCost() * c1.getNumberOfHours();
        System.out.println("Instantiate - Pay to the order of " + v1.getName() +" "+ amountToPay);
        
        //Composition - et the Contractor object do the work
        c1.payBroker();
    }
}


