package unleashed.ch1;

import java.net.*;
import java.io.*;

public class TestSocketServer
{
    ServerSocket serverSocket;
    int portNumber = 9001;
    Socket socket;
    String str;
    
    TestSocketServer()
    {
        str = " <?xml version=\"1.0\" encoding=\"UTF-8\"?>";
        str += "<ticketRequest><customer custID=\"1001\">";
        str += "<lastName>Carter</lastName>";
        str += "<firstName>Joey</firstName>";
        str += "</customer>";
        str += "<cruise cruiseID=\"3005\">";
        str += "<destination>Alaska</destination>";
        str += "<port>Vancouver</port>";
        str += "<sailing>4/15/02</sailing>";
        str += "<numberOfTickets>4</numberOfTickets>";
        str += "</cruise>";
        str += "</ticketRequest>";
        
        // Create ServerSocket to listen for connections
        try
        {
            serverSocket = new ServerSocket(portNumber);
            
            // Wait for client to connnect, then get Socket
            socket = serverSocket.accept();
            
            // Use ObjectOutputStream to send String to the client
            ObjectOutputStream oos =
            new ObjectOutputStream(socket.getOutputStream());
            
            oos.writeObject(str);
            
            oos.close();
            
            // Close Socket and go back to wait for next client
            socket.close();
        } catch (Exception e)
        {
            System.out.println("Exception " + e);
        }
    }
        
    public static void main(String args[])
    {
        TestSocketServer tss = new TestSocketServer();
    }
}
