/*
/ * TicketRequest.java
 *
 * Created on January 14, 2002, 4:13 PM
 */

package unleashed.ch2;

/**
 *
 * @author  Stephen Potts
 * @version
 */
public class TicketRequest implements java.io.Serializable
{
    //information about the customer
    int custID;
    String lastName;
    String firstName;
    
    //information about the cruise
    int cruiseID;
    String destination;
    String port;
    String sailing;
    
    int numberOfTickets;
    boolean approved;
    
    /** Constructor */
    public TicketRequest(int custID, String lastName, String firstName,
    int cruiseID, String destination,
    String port, String sailing, int numberOfTickets)
    {
        //set the information about the customer
        this.custID = custID;
        this.lastName = lastName;
        this.firstName = firstName;
        
        //set the information about the cruise
        this.cruiseID = cruiseID;
        this.destination = destination;
        this.port = port;
        this.sailing = sailing;
        
        this.numberOfTickets = numberOfTickets;
        this.approved = false;
    }
    
    public int getCustID()
    {
        return this.custID = custID;
    }
    
    public String getLastName()
    {
        return this.lastName = lastName;
    }
    
    public String getFirstName()
    {
        return this.firstName = firstName;
    }
    
    public int getCruiseID()
    {
        return this.cruiseID;
    }
    
    public String getDestination()
    {
        return this.destination;
    }
    
    public String getPort()
    {
        return this.port;
    }
    
    public String getSailing()
    {
        return this.sailing;
    }
    
    public int getNumberOfTickets()
    {
        return this.numberOfTickets;
    }
    
    public boolean isApproved()
    {
        return approved;
    }
    
    public void approve()
    {
        approved = true;
    }
    
    public void disApprove()
    {
        approved = false;
    }
    
    public String toString()
    {
        String outString;
        outString = "------------------------------------------------" + "\n";
        
        //information about the customer
        outString += "custID = " + this.custID + "\n";
        outString += "lastName = " + this.lastName + "\n";
        outString += "firstName = " + this.firstName + "\n";
        outString += "------------------------------------------------" + "\n";
    
        //information about the cruise
        outString += "cruiseID = " + this.cruiseID + "\n";
        outString += "destination = " + this.destination + "\n";
        outString += "port = " + this.port + "\n";
        outString += "sailing = " + this.sailing + "\n";
        outString += "numberOfTickets = " + this.numberOfTickets + "\n";
        outString += "approved? = " + this.approved + "\n";
        
        outString += "------------------------------------------------" + "\n";
        return outString;
    }
}

