package unleashed.ch5.cruise;

import javax.ejb.CreateException;
import javax.ejb.EJBHome;
import javax.ejb.FinderException;
import java.rmi.RemoteException;
import java.util.*;

/**
 * Booking Home interface.
 *
 * @author Alex Pestrikov
 */
public interface BookingHome extends EJBHome 
{
	
	public Booking create(String name) 
    throws CreateException, RemoteException;

	
	public Booking findByPrimaryKey(Integer id) 
	throws FinderException, RemoteException;

    
	public Collection findAllBookings()
    throws FinderException, RemoteException;	
}
