/*
 * Company.java
 *
 * Created on January 28, 2002, 2:34 PM
 */
//Listing 11.9 The Company class contains a Vector and an Employee.

package unleashed.ch11;
import java.util.Vector;
import java.util.Iterator;
import java.util.Set;
import java.io.Serializable;

/**
 *
 * @author  Stephen Potts
 * @version 
 */
public class Company implements Serializable
{
    private String name;
    private Employee president;
    private Vector departments;
 
    /** Creates new Company */
    public Company(String name)
    {
        this.name = name;
        departments = new Vector();
    }
    
    public String getName()
    {
        return this.name;
    }
    
    public void addDepartment(Department dept)
    {
        departments.addElement(dept);
    }
    
    public Employee getPresident()
    {
        return this.president;
    }
    
    public void addPresident(Employee e)
    {
        this.president = e;
    }
    
    public Iterator getDepartmentIterator()
    {
        return departments.iterator();
    }
}
