/*
 * Test2DTextAA.java
 *
 * Created on February 21, 2002, 10:16 AM
 */

package unleashed.ch15;

import java.awt.*;
import java.awt.event.*;
import java.awt.geom.*;
import java.awt.font.*;
import javax.swing.*;

/**
 *
 * @author  Stephen Potts
 * @version
 */
public class Test2DTextAA extends Canvas
{
    
    /** Creates new Test2DTextAA */
    public Test2DTextAA()
    {
        setBackground(Color.white);
    }
    
    public void paint(Graphics g)
    {
        Graphics2D g2D;
        g2D = (Graphics2D) g;
        
        g2D.setRenderingHint(RenderingHints.KEY_ANTIALIASING,
                           RenderingHints.VALUE_ANTIALIAS_ON);
        
        g2D.setRenderingHint(RenderingHints.KEY_RENDERING,
                           RenderingHints.VALUE_RENDER_QUALITY);
        
        FontRenderContext frc = g2D.getFontRenderContext();
        Font font1 = new Font("Courier",Font.BOLD, 24);
        String str1 = new String("Java Unleashed");
        TextLayout tl = new TextLayout(str1, font1, frc);
        Dimension dim1= getSize();
        g2D.setColor(Color.gray);
        tl.draw(g2D, 50, 150);
    }
    
    public static void main(String s[])
    {
        
        JFrame frame1 = new JFrame("2D Text");
        frame1.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
        
        frame1.getContentPane().add("Center", new Test2DTextAA());
        frame1.pack();
        frame1.setSize(new Dimension(500, 300));
        frame1.show();
    } 
}