package unleashed.ch24;

/**
* This example shows how to put a thread to sleep.
*/
public class SleepingThread extends Thread
{
	public void run()
	{
		boolean canRun = true;
		
		while (canRun)
		{
			System.out.println("SleepingThread is awake");
			try
			{
				System.out.println("SleepingThread is going to sleep for 10 sec.");
				this.sleep(10000);
			}catch(InterruptedException e)
			{
				System.out.println("SleepingThread interrupted");
				canRun = false;
			}
		}
	}
	
	public static void main(String[] args)
	{
		Thread sleepingThread = new SleepingThread();
		
		sleepingThread.start();
	}
}
