//Listing 27.2 Adding a SalesEmployee class
package unleashed.ch27;

class SalesEmployee extends Employee 
{
    private double commissionPercentage;
    
    public SalesEmployee(int employeeID, String lastName, String firstName, 	double commissionPercentage)
    {
        super(employeeID, lastName, firstName);
        this.commissionPercentage = commissionPercentage;
    }
    
    public double calculateCheckAmount()
    {
        return Company.getSales()*commissionPercentage;
    }
}


